problems installing correct driver for Broadcom BCM4360 802.11ac wireless network adapter on Macbook pro 11,3

Bug #1468344 reported by Steve Chamales on 2015-06-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Undecided
Unassigned

Bug Description

received a fix via email from the ubuntu team for my non-functioning internal wireless adapter.

downloaded and attempted to install the package, and I guess it didn't 100% correctly.

 Ubuntu 15.04.

package version: bcmwl-kernel-source_6.30.223.30+bdcom-0ubuntu3_amd64.deb

Here's what happened:

root@SU:/var/cache/apt/archives# dpkg -i bcmwl-kernel-source_6.30.223.30+bdcom-0ubuntu3_amd64.deb
dpkg: warning: downgrading bcmwl-kernel-source from 6.30.223.248+bdcom-0ubuntu2 to 6.30.223.30+bdcom-0ubuntu3
(Reading database ... 219104 files and directories currently installed.)
Preparing to unpack bcmwl-kernel-source_6.30.223.30+bdcom-0ubuntu3_amd64.deb ...
Removing all DKMS Modules
Done.
Unpacking bcmwl-kernel-source (6.30.223.30+bdcom-0ubuntu3) over (6.30.223.248+bdcom-0ubuntu2) ...
Setting up bcmwl-kernel-source (6.30.223.30+bdcom-0ubuntu3) ...
Loading new bcmwl-6.30.223.30+bdcom DKMS files...
Building only for 3.19.0-21-generic
Building for architecture x86_64
Building initial module for 3.19.0-21-generic
Error! Bad return status for module build on kernel: 3.19.0-21-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.30+bdcom/build/make.log for more information.
modprobe: FATAL: Module wl not found.
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.103ubuntu15) ...
update-initramfs: Generating /boot/initrd.img-3.19.0-21-generic
root@SU:/var/cache/apt/archives# lsb_release -rd
Description: Ubuntu 15.04
Release: 15.04

I'm new to linux. Any help much appreciated!

ProblemType: Package
DistroRelease: Ubuntu 15.04
Package: bcmwl-kernel-source 6.30.223.30+bdcom-0ubuntu3
ProcVersionSignature: Ubuntu 3.19.0-21.21-generic 3.19.8
Uname: Linux 3.19.0-21-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.17.2-0ubuntu1.1
Architecture: amd64
DKMSKernelVersion: 3.19.0-21-generic
Date: Wed Jun 24 08:42:23 2015
DuplicateSignature: dkms:bcmwl-kernel-source:6.30.223.248+bdcom-0ubuntu2:/var/lib/dkms/bcmwl/6.30.223.30+bdcom/build/src/wl/sys/wl_linux.c:1358:64: error: macro "alloc_netdev" requires 4 arguments, but only 3 given
InstallationDate: Installed on 2015-06-21 (2 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
PackageVersion: 6.30.223.248+bdcom-0ubuntu2
RelatedPackageVersions:
 dpkg 1.17.25ubuntu1
 apt 1.0.9.7ubuntu4
SourcePackage: bcmwl
Title: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu2: bcmwl kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

tags: removed: need-duplicate-check
Daniel van Vugt (vanvugt) wrote :

This bug has been fixed in the official Ubuntu packages of bcmwl for some time. Please stick to the official Ubuntu version of the package which does not have the bug (you need version 6.30.223.248+bdcom-0ubuntu2)...

If you don't have ethernet to do a system update, you can download the requisite newer package here using another machine:
   https://launchpad.net/ubuntu/+source/bcmwl

~~~

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1358966, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers